<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_4c760fb02" . "a49c55509b" . "a087b84fbd" . "a45" => base64_decode("ZHJ" . "hZn" . "Q="), "_2e858fb1973337f53ff" . "85c104fcb38f4" => base64_decode("cHVibGlza" . "GVk"), "typ" . "e" => base64_decode("dH" . "lw" . "ZQ" . "=="), "_32155ccb3" . "42f1990430" . "93041c1b3b" . "b57" => base64_decode("ZnJvbV9mb2xkZ" . "XJfaWQ="), "_80e7ee43fdf838101a230" . "3a7b4a50efc" => base64_decode("dG9fZm9sZ" . "GVyX2lk"), "_939c6a45ff74323dbe" . "f487ed15753a7c" => base64_decode("c3" . "Rh" . "dG" . "U="), "_d0845bff5cd0dd" . "b5ed1d7bd9db996" . "f51" => base64_decode("c2" . "91" . "cm" . "Nl"));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_939c6a45ff74323dbef487ed1" . "5753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_939c6a45ff74323dbe" . "f487ed15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4c760fb02a49c55509ba087b84fbd" . "a45"];
        }
        return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_2e858fb1973337f5" . "3ff85c104fcb38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["ty" . "pe"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["ty" . "pe"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_d0845bff5" . "cd0ddb5ed1" . "d7bd9db996" . "f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_32155ccb342f199043093041" . "c1b3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_80e7ee43fdf8" . "38101a2303a7b" . "4a50efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}